#
# spec file for package nxml-mode (Version 20041004)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  emacs emacs-nox

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils emacs emacs-nox gcc gdbm gettext libtool perl rpm

Name:         nxml-mode
URL:          http://www.thaiopensource.com/nxml-mode/
License:      GPL
Group:        Productivity/Editors/Emacs
Requires:     emacs
Autoreqprov:  on
Summary:      New Emacs Add-on for Editing XML Documents
Version:      20041004
Release:      1
Source:       http://www.thaiopensource.com/download/%{name}-%{version}.tar.gz
Source1:      suse-start-%{name}.el
Conflicts:    Mule-UCS
# Patch: emacs-nxml-mode-fill.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
'nxml-mode' is a new major mode for GNU Emacs for editing XML
documents. It supports editing well-formed XML documents and also
provides schema-sensitive editing of XML documents using RELAX NG
Compact Syntax.

To use this, you need GNU Emacs version 21.x, preferably 21.3. XEmacs
will not work properly.



Authors:
--------
    James Clark <jjc@jclark.com>

%prep
#` comment to reset Emacs coloring -ke-
%setup -q
cp -p %{S:1} .
# %patch -p 1

%build
#autoreconf
#./configure --prefix=%{_prefix} --infodir=%{_infodir}
make # emacs

%install
[ -z $RPM_BUILD_ROOT ] || rm -fr $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/%{name} \
                 $RPM_BUILD_ROOT%{_infodir}
# to avoid timestamp problems, install .el files first.
install -p -m644 *.el $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/%{name}
install -p -m644 *.elc $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/%{name}
rm -f $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/%{name}/suse-start*
install -p -m644 *.xml $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/%{name}
cp -a schema $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/%{name}
install -p -m644 *.info $RPM_BUILD_ROOT%{_infodir}
install -p -m644 suse-start-%{name}.el \
    $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/suse-start-%{name}.el

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING NEWS README TODO
# %doc *.xml
# %doc schema
%config %{_prefix}/share/emacs/site-lisp/suse-start-%{name}.el
%{_prefix}/share/emacs/site-lisp/%{name}
%doc %{_infodir}/*.info*

%changelog -n nxml-mode
* Fri Oct 08 2004 - ke@suse.de
- Update to version 20041004; News since 20040726:
  * Add support for outlining.
  * Indentation has been rewritten.  Indentation of attribute names and
  values should work better.  The default value of
  'nxml-attribute-indent' has been changed to 4.
  * Syntax highlighting with a dark background should now work.
  * C-u C-c C-n goes to the first error.
  * C-c RET splits the current element as in PSGML.
* Mon Jul 26 2004 - ke@suse.de
- Update to version 20040726; for more detailed info cf. the NEWS
  file.  Important changes since 20031018:
  * The mechanism for locating the schema has changed completely
  * The schema related bindings have been changed.
  * There's now an XML menu on the menu-bar.
  * C-c C-d "dynamically" chooses a tag to put around the word before
  point, rather like M-/.
  * C-c C-a is now bound to rng-auto-set-schema.
- Call install-info macro.
* Mon May 10 2004 - ke@suse.de
- Add "Conflicts:" with Mule-UCS; reported by Robert Schiele [#40245].
* Fri Feb 06 2004 - hmacht@suse.de
- build as normal user
* Mon Oct 20 2003 - ke@suse.de
- Update to version 20031018.
* Mon Oct 06 2003 - ke@suse.de
- New package: Version 20030929.
